---
schema_version: "1"
id: 8b5cda090f7c44f0e274f40282be81e59584c91581617a828c13f2a34674a6a9
title: Upload Job Data
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-asynch/guides/api-bulk-v2/reference/upload-job-data.md
canonical_url: https://developer.salesforce.com/docs/platform/api-asynch/guide/upload-job-data.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: eb50ede7549328c8d888e8b87b7a13bff33012141a5c933d20cbb4c4326ed753
products:
  - Bulk API 2.0 and Bulk API Developer Guide
  - Platform Developer Content
---

# Upload Job Data

Uploads data for a job using CSV data you provide.

**URI:** `/services/data/vXX.X/jobs/ingest/jobID/batches`

**Availability:** This resource is available in API version 41.0 and later.

**Formats:** text/csv

**HTTP Method:** PUT

**Authentication:** `Authorization: Bearer token`

**Parameters:** None.

**Request Body**

CSV file with record data.

**Response Body**

None. Returns a status code of 201 (Created), which indicates that the job data was successfully received by Salesforce.

**Usage Notes**

The resource URL is provided in the `contentUrl` field in the response from [Create a Job](https://developer.salesforce.com/docs/platform/api-asynch/guide/create-job.md#create-a-job), or the response from a [Job Info](https://developer.salesforce.com/docs/platform/api-asynch/guide/get-job-info.md#get-information-about-an-ingest-job) request on an open job.

A request can provide CSV data that does not in total exceed 150 MB of base64 encoded content. When job data is uploaded, it is converted to base64. This conversion can increase the data size by approximately 50%. To account for the base64 conversion increase, upload data that does not exceed 100 MB.

Don’t delete your local CSV data until you’ve confirmed that all records were successfully processed by Salesforce. If a job fails, use the successful results, failed results, and unprocessed records resources to determine what records from your CSV data you need to resubmit.
